<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ManBase/PlayerBaseClient.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/d23/_player_base_client_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">PlayerBaseClient.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dd/d23/_player_base_client_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d5/da8/class_player_base.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dc/ddb/class_player_base_client.html">PlayerBaseClient</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{   </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d5/da8/class_player_base.html#adade79cffc2ac289387403a6e433150f">    3</a></span>    <span class="keyword">static</span> <a class="code hl_class" href="../../dd/d33/class_scripted_light_base.html">ScriptedLightBase</a>    <a class="code hl_variable" href="../../d5/da8/class_player_base.html#adade79cffc2ac289387403a6e433150f">m_PersonalLight</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d5/da8/class_player_base.html#aa9b73dc87ba06a9e9b71799234d076d6">    4</a></span>    <span class="keyword">static</span> <span class="keywordtype">bool</span>                 m_PersonalLightEnabledOnCurrentServer = <span class="keyword">false</span>; <span class="comment">// &quot;disablePersonalLight&quot; in server.cfg decides if this is true or false</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d5/da8/class_player_base.html#a1b71d04946ffad09c5f64c9f0b272889">    5</a></span>    <span class="keyword">static</span> <span class="keywordtype">bool</span>                 m_PersonalLightDisabledByDebug = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d5/da8/class_player_base.html#a0f6f08e300479f7be7bcacb43bf982b2">    6</a></span>    <span class="keyword">static</span> <span class="keywordtype">bool</span>                 m_PersonalLightIsSwitchedOn = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d5/da8/class_player_base.html#a2b6f37c6f1850bf74836b0c727108bfe">    9</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/da8/class_player_base.html#a2b6f37c6f1850bf74836b0c727108bfe">CreatePersonalLight</a>()</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    {</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <span class="keywordflow">if</span> (!m_PersonalLight  &amp;&amp;  ( !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer()  ||  !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsMultiplayer() ))</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>            m_PersonalLight = <a class="code hl_class" href="../../dd/d33/class_scripted_light_base.html">ScriptedLightBase</a>.CreateLight(PersonalLight, <span class="stringliteral">&quot;0 0 0&quot;</span>);</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        }</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    }</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    <span class="comment">/*</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="comment">    override void OnRPC(PlayerIdentity sender, int rpc_type, ParamsReadContext ctx)</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="comment">    {</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span><span class="comment">        super.OnRPC(sender, rpc_type, ctx);</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="comment">        </span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span><span class="comment">        switch( rpc_type )</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span><span class="comment">        {</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span><span class="comment">            case ERPCs.RPC_TOGGLE_PERSONAL_LIGHT:</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span><span class="comment">            {</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span><span class="comment">                Param1&lt;bool&gt; is_enabled = new Param1&lt;bool&gt;(false);</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span><span class="comment">                </span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span><span class="comment">                if (ctx.Read(is_enabled))</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span><span class="comment">                {</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span><span class="comment">                    m_PersonalLightEnabledOnCurrentServer = is_enabled.param1;</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span><span class="comment">                    UpdatePersonalLight();</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span><span class="comment">                }</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span><span class="comment">                </span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="comment">                break;</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="comment">            }</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="comment">        }</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span><span class="comment">    }*/</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../d5/da8/class_player_base.html#adad47d1d9d0c0215e409dec482ba93ab">   39</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/da8/class_player_base.html#adad47d1d9d0c0215e409dec482ba93ab">OnGameplayDataHandlerSync</a>()</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        super.OnGameplayDataHandlerSync();</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        m_PersonalLightEnabledOnCurrentServer = !<a class="code hl_class" href="../../d7/dbe/class_cfg_gameplay_handler.html">CfgGameplayHandler</a>.<a class="code hl_function" href="../../d7/dbe/class_cfg_gameplay_handler.html#a0dc5ae411367e844bad3a416580930f0">GetDisablePersonalLight</a>();</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        UpdatePersonalLight();</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        UpdateHitDirectionValues();</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../d5/da8/class_player_base.html#a933eeb4cfec6bcbba16259f06b75b51e">   49</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/da8/class_player_base.html#a933eeb4cfec6bcbba16259f06b75b51e">SwitchPersonalLight</a>(<span class="keywordtype">bool</span> state)</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer()  ||  !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsMultiplayer() )</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            m_PersonalLightIsSwitchedOn = state;</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            UpdatePersonalLight();</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../d5/da8/class_player_base.html#ae9ed010329b638e227781f257bb90ffd">   59</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/da8/class_player_base.html#ae9ed010329b638e227781f257bb90ffd">UpdatePersonalLight</a>()</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="keywordtype">string</span> param;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        CreatePersonalLight();</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <span class="keywordflow">if</span> ( ! <a class="code hl_function" href="../../d3/de2/group___system.html#gad7348dce86a327765755d084ff96f22a">GetCLIParam</a>(<span class="stringliteral">&quot;disablePersonalLight&quot;</span>, param)  &amp;&amp;  !m_PersonalLightDisabledByDebug  &amp;&amp;  m_PersonalLightIsSwitchedOn ) <span class="comment">// Allow PL unless it&#39;s disabled by debug or client-side starting parameter</span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            m_PersonalLight.SetEnabled(m_PersonalLightEnabledOnCurrentServer);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <span class="keywordflow">else</span>    </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            m_PersonalLight.SetEnabled(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        }</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    }</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno"><a class="line" href="../../d5/da8/class_player_base.html#a86118831fd7366d5e1a6db962cf532c2">   75</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/da8/class_player_base.html#a86118831fd7366d5e1a6db962cf532c2">UpdateHitDirectionValues</a>()</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    {</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        <a class="code hl_class" href="../../dc/d39/class_hit_direction_effect_base.html">HitDirectionEffectBase</a>.<a class="code hl_function" href="../../dc/d39/class_hit_direction_effect_base.html#ac068798c5d83fd12c903cf88e0c6b6cd">CheckValues</a>();</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    }</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>}</div>
<div class="ttc" id="aclass_cfg_gameplay_handler_html"><div class="ttname"><a href="../../d7/dbe/class_cfg_gameplay_handler.html">CfgGameplayHandler</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/ddf/_cfg_gameplay_handler_8c_source.html#l00001">CfgGameplayHandler.c:2</a></div></div>
<div class="ttc" id="aclass_cfg_gameplay_handler_html_a0dc5ae411367e844bad3a416580930f0"><div class="ttname"><a href="../../d7/dbe/class_cfg_gameplay_handler.html#a0dc5ae411367e844bad3a416580930f0">CfgGameplayHandler::GetDisablePersonalLight</a></div><div class="ttdeci">static bool GetDisablePersonalLight()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/ddf/_cfg_gameplay_handler_8c_source.html#l00078">CfgGameplayHandler.c:78</a></div></div>
<div class="ttc" id="aclass_hit_direction_effect_base_html"><div class="ttname"><a href="../../dc/d39/class_hit_direction_effect_base.html">HitDirectionEffectBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d80/_hit_direction_arrow_8c_source.html#l00002">HitDirectionArrow.c:3</a></div></div>
<div class="ttc" id="aclass_hit_direction_effect_base_html_ac068798c5d83fd12c903cf88e0c6b6cd"><div class="ttname"><a href="../../dc/d39/class_hit_direction_effect_base.html#ac068798c5d83fd12c903cf88e0c6b6cd">HitDirectionEffectBase::CheckValues</a></div><div class="ttdeci">static void CheckValues()</div><div class="ttdoc">range 0..180, randomized offset of direction to make it less acurate</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/db0/_hit_direction_base_8c_source.html#l00181">HitDirectionBase.c:181</a></div></div>
<div class="ttc" id="aclass_player_base_client_html"><div class="ttname"><a href="../../dc/ddb/class_player_base_client.html">PlayerBaseClient</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/df3/_survivor_base_8c_source.html#l00001">SurvivorBase.c:2</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_player_base_html_a2b6f37c6f1850bf74836b0c727108bfe"><div class="ttname"><a href="../../d5/da8/class_player_base.html#a2b6f37c6f1850bf74836b0c727108bfe">PlayerBase::CreatePersonalLight</a></div><div class="ttdeci">static void CreatePersonalLight()</div><div class="ttdoc">Creates PL if it doesn't exist already.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00009">PlayerBaseClient.c:9</a></div></div>
<div class="ttc" id="aclass_player_base_html_a86118831fd7366d5e1a6db962cf532c2"><div class="ttname"><a href="../../d5/da8/class_player_base.html#a86118831fd7366d5e1a6db962cf532c2">PlayerBase::UpdateHitDirectionValues</a></div><div class="ttdeci">static void UpdateHitDirectionValues()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00075">PlayerBaseClient.c:75</a></div></div>
<div class="ttc" id="aclass_player_base_html_a933eeb4cfec6bcbba16259f06b75b51e"><div class="ttname"><a href="../../d5/da8/class_player_base.html#a933eeb4cfec6bcbba16259f06b75b51e">PlayerBase::SwitchPersonalLight</a></div><div class="ttdeci">static void SwitchPersonalLight(bool state)</div><div class="ttdoc">Controls the ON/OFF switch of the Personal Light. PL will still shine only if the server allows it.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00049">PlayerBaseClient.c:49</a></div></div>
<div class="ttc" id="aclass_player_base_html_adad47d1d9d0c0215e409dec482ba93ab"><div class="ttname"><a href="../../d5/da8/class_player_base.html#adad47d1d9d0c0215e409dec482ba93ab">PlayerBase::OnGameplayDataHandlerSync</a></div><div class="ttdeci">override void OnGameplayDataHandlerSync()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00039">PlayerBaseClient.c:39</a></div></div>
<div class="ttc" id="aclass_player_base_html_adade79cffc2ac289387403a6e433150f"><div class="ttname"><a href="../../d5/da8/class_player_base.html#adade79cffc2ac289387403a6e433150f">PlayerBase::m_PersonalLight</a></div><div class="ttdeci">static ScriptedLightBase m_PersonalLight</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00003">PlayerBaseClient.c:3</a></div></div>
<div class="ttc" id="aclass_player_base_html_ae9ed010329b638e227781f257bb90ffd"><div class="ttname"><a href="../../d5/da8/class_player_base.html#ae9ed010329b638e227781f257bb90ffd">PlayerBase::UpdatePersonalLight</a></div><div class="ttdeci">static void UpdatePersonalLight()</div><div class="ttdoc">Updates state of PL.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00059">PlayerBaseClient.c:59</a></div></div>
<div class="ttc" id="aclass_scripted_light_base_html"><div class="ttname"><a href="../../dd/d33/class_scripted_light_base.html">ScriptedLightBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d26/_point_light_base_8c_source.html#l00001">PointLightBase.c:2</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___system_html_gad7348dce86a327765755d084ff96f22a"><div class="ttname"><a href="../../d3/de2/group___system.html#gad7348dce86a327765755d084ff96f22a">GetCLIParam</a></div><div class="ttdeci">proto bool GetCLIParam(string param, out string val)</div><div class="ttdoc">Returns command line argument.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_eb54cb765a131a2c306884813be74251.html">ManBase</a></li><li class="navelem"><a class="el" href="../../dd/d23/_player_base_client_8c.html">PlayerBaseClient.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
